Subject: bug#9943: 24.0.91; Abort in check_glyph_memory

From: Eli Zaretskii <[email-masked]>
Date: Thu, 03 Nov 2011 21:08:12 +0200

> Date: Thu, 03 Nov 2011 10:17:00 +0100
> From: martin rudalics <[email-masked]>
> 
> With emacs -Q evaluating
> 
> (setq default-frame-alist (cons '(height . 0.2) default-frame-alist))
> 
> and subsequently doing
> 
> C-x 5 2
> C-x C-c
> 
> gets me
> 
> Breakpoint 1, w32_abort () at w32fns.c:7187
> 7187	  button = MessageBox (NULL,
> (gdb) bt
> #0  w32_abort () at w32fns.c:7187
> #1  0x010628ad in check_glyph_memory () at dispnew.c:2370

I fixed this for w32 (revision 106273 on the trunk).  I think the same
problem can happen on X, but I cannot run Emacs on X where I'm typing
this.  Could someone please try the recipe on X and see if the same
problem happens there?  It could matter which toolkit was used to
build Emacs, so please tell which toolkit you are using.  TIA.